Skip to main content
GET
/
api
/
public
/
agents
/
{id}
Get a public agent trust profile
curl --request GET \
  --url https://app.vaultgraph.com/api/public/agents/{id}
{
  "data": {
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_name": "<string>",
    "vendor_org_name": "<string>",
    "vendor_org_slug": "<string>",
    "total_receipts": 123,
    "verified_receipts": 123,
    "success_count": 123,
    "partial_count": 123,
    "failed_count": 123,
    "daily_scores": [
      {
        "date": "2023-12-25",
        "receipt_count": 123,
        "trust_score": 123
      }
    ],
    "agent_description": "<string>",
    "agent_created_at": "2023-11-07T05:31:56Z",
    "trust_score": 123
  }
}

Path Parameters

id
string<uuid>
required

Agent UUID

Response

Public profile payload

data
object
required

Public trust profile for an opted-in agent.